const defaultTheme = require('tailwindcss/defaultTheme');

/** @type {import('tailwindcss').Config} */
module.exports = {
	content: ['./src/**/*.{astro,html,js,jsx,md,mdx,svelte,ts,tsx,vue}'],
	darkMode: ["class", "[data-theme]=business"],
	theme: {
		extend: {
			fontFamily: {
				'sans': ['Open Sans', defaultTheme.fontFamily.sans],
			},
			keyframes: {
				wiggle: {
				  '0%, 100%': { transform: 'rotate(-5deg)' },
				  '50%': { transform: 'rotate(5deg)' },
				},
				'bg-animate':{
					'0%,100%': {'background-position': '25% 50%'},
					'50%': {'background-position': '75% 50%'},
				}
			},
			animation: {
				'wiggle-infinite': 'wiggle 1s ease-in-out infinite',
				wiggle: 'wiggle 1s ease-in-out',
				'bg-animate': 'bg-animate 5s ease-in-out infinite',
			}
		},
	},
	plugins: [require("daisyui")],
	daisyui: {
		themes: ["corporate", "business"],
	},
}
